### Method

# Camel StoreSummary connect_folder_summary

since: 3.4

#### Declaration [src]

    gboolean
    camel_store_summary_connect_folder_summary (
      CamelStoreSummary* summary,
      const gchar* path,
      CamelFolderSummary* folder_summary
    )

#### Description [src]

Connects listeners for count changes on `folder_summary` to keep CamelStoreInfo.total and CamelStoreInfo.unread in sync transparently. The `folder_summary` is stored in `summary` as `path`. Use `camel_store_summary_disconnect_folder_summary()` to disconnect from listening.

Available since: 3.4

#### Parameters

`path`

  Type: `const gchar*`

  Used path for `folder_summary`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`folder_summary`

  Type: `CamelFolderSummary`

  A `CamelFolderSummary` object.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether successfully connect callbacks for count change notifications.